Summary: A xorg driver for MID (Mobile Internet Devices) Moorestown platform
Name: mrstouch
Version: 0.0.3
Release: 2.4.moblin2
Group: System Environment/Base
Source: mrstouch-0.0.3.tar.gz
License: GPLv2
URL: http://www.moblin.org/
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: xorg-x11-server-Xorg libX11-devel xorg-x11-server-devel
BuildRequires: xorg-x11-proto-inputproto xorg-x11-proto-randrproto xorg-x11-proto-xextproto

%description
This is combined driver of plpevtch-0.0.3 and evtouch-0.8.8.

%prep
%setup -q
touch -m *
touch -r *

%build
%configure
make 
make -f Makefile.calib

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/etc/X11
mkdir -p $RPM_BUILD_ROOT/lib/udev/rules.d

make install DESTDIR=$RPM_BUILD_ROOT
cp -f calibrate $RPM_BUILD_ROOT%{_bindir}
cp -f 10-touchscreen.rules $RPM_BUILD_ROOT/lib/udev/rules.d
cp -f xorg.conf_mrst $RPM_BUILD_ROOT/etc/X11

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)  
%doc README
%{_libdir}/xorg/modules/input/*
%{_bindir}/calibrate
/etc/X11/xorg.conf_mrst
/lib/udev/rules.d/10-touchscreen.rules

%changelog
* Wed Jun  3 2009 bjhueni <bret.j.hueni@intel.com> 0.0.3
- latest source tarball with compile line change
* Thu May 28 2009 bjhueni <bret.j.hueni@intel.com> 0.0.3
- correcting new spec
* Thu May 28 2009 bjhueni <bret.j.hueni@intel.com> 0.0.3
- latest version for alpha 1
* Thu May 14 2009 bjhueni <bret.j.hueni@intel.com> 0.0.2
- latest mrstouch for alpha 1
* Thu May  7 2009 Arjan van de Ven <arjan@linux.intel.com> 0.0.2
- fix for LD_AS_NEEDED=1
* Fri Apr 24 2009 bjhueni <bret.j.hueni@intel.com> 0.0.2
- latest touchscreen package
* Thu Mar 26 2009 bjhueni <bret.j.hueni@intel.com> 0.0.1
- spec changes for moblin acceptance
* Tue Mar 17 2009 Priya Vijayan <priya.vijayan@intel.com> 0.0.1
- Fix build errors
* Wed Feb  7 2007 sreedhar <sreedhara.ds@intel.com>
- initial version
